# PSNMPVarBindingList Class Reference

A list of object IDs and their values. More...

`#include <psnmp.h>`

Inheritance diagram for PSNMPVarBindingList:

List of all members.

## Public Member Functions

void | Append (const PString &objectID)
void | Append (const PString &objectID, PASNObject *obj)
void | AppendString (const PString &objectID, const PString &str)
void | RemoveAll ()
PINDEX | GetSize () const
PINDEX | GetIndex (const PString &objectID) const
PString | GetObjectID (PINDEX idx) const
PASNObject & | operator[] (PINDEX idx) const
void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.

## Protected Attributes

PStringArray | objectIds
PASNObjectArray | values

## Detailed Description

A list of object IDs and their values.

## Member Function Documentation

void PSNMPVarBindingList::Append | ( | const PString & | objectID,
|  | PASNObject * | obj |
| ) |  |  |

void PSNMPVarBindingList::Append | ( | const PString & | objectID | ) |

void PSNMPVarBindingList::AppendString | ( | const PString & | objectID,
|  | const PString & | str |
| ) |  |  |

PINDEX PSNMPVarBindingList::GetIndex | ( | const PString & | objectID | ) | const

PString PSNMPVarBindingList::GetObjectID | ( | PINDEX | idx | ) | const

PINDEX PSNMPVarBindingList::GetSize | ( |  | ) | const

PASNObject& PSNMPVarBindingList::operator[] | ( | PINDEX | idx | ) | const

void PSNMPVarBindingList::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

void PSNMPVarBindingList::RemoveAll | ( |  | ) |

## Member Data Documentation

PStringArray PSNMPVarBindingList::objectIds `[protected]`

PASNObjectArray PSNMPVarBindingList::values `[protected]`

The documentation for this class was generated from the following file:

- psnmp.h